Page MenuHomePhabricator

[Task] Add property ID parameter to the wbformatvalue API
Closed, ResolvedPublic

Description

The wbformatvalue API module should get a new parameter "property" which can be used instead of "datatype". When "property" is given together with the value, a PropertyValueSnak can be created and the datatype determiend, so wbformatvalue can take full advantage of datatype specific snak rendering. For B/C, wbformatvalue should still function based on the datatype (and even with only the value itself).

This is required to allow the UI to format values exactly as the backend would format them in text context of a given property.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Sep 16 2015, 3:22 PM
daniel raised the priority of this task from to Medium.
daniel updated the task description. (Show Details)
daniel moved this task from incoming to ready to go on the Wikidata board.Sep 16 2015, 3:33 PM
Ricordisamoa updated the task description. (Show Details)Sep 16 2015, 3:36 PM
Ricordisamoa set Security to None.
Jonas renamed this task from Add support for specifying a context property ID to the wbformatvalue API module to [Task] Add support for specifying a context property ID to the wbformatvalue API module.Nov 2 2015, 1:20 PM
Jonas renamed this task from [Task] Add support for specifying a context property ID to the wbformatvalue API module to [Task] Add property ID parameter to the wbformatvalue API.Nov 23 2015, 3:56 PM

Change 260222 had a related patch set uploaded (by Hoo man):
Add property parameter to wbformatvalue

https://gerrit.wikimedia.org/r/260222

Change 260222 merged by jenkins-bot:
Add property parameter to wbformatvalue

https://gerrit.wikimedia.org/r/260222

hoo closed this task as Resolved.Jan 5 2016, 5:07 AM
hoo claimed this task.
hoo removed a project: Patch-For-Review.